package com.dbxml.xml.text;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: TextTableGenerator.java,v 1.2 2004/02/12 00:17:58 bradford Exp $
 */

import java.io.ByteArrayInputStream;
import java.io.CharArrayReader;
import java.io.StringReader;

import com.dbxml.xml.sax.SAXTableGenerator;

/**
 * TextTableGenerator
 */

public final class TextTableGenerator extends SAXTableGenerator {
   public TextTableGenerator(String xml) {
      super(new StringReader(xml));
   }

   public TextTableGenerator(StringBuffer xml) {
      super(new StringReader(xml.toString()));
   }

   public TextTableGenerator(char[] xml) {
      super(new CharArrayReader(xml));
   }

   public TextTableGenerator(char[] xml, int start, int length) {
      super(new CharArrayReader(xml, start, length));
   }

   public TextTableGenerator(byte[] xml) {
      super(new ByteArrayInputStream(xml));
   }

   public TextTableGenerator(byte[] xml, int start, int length) {
      super(new ByteArrayInputStream(xml, start, length));
   }
}
